Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get parameter by id

Prev Next
Get
/inventory/configurationParameters/{configurationParameterId}

Returns the configuration-parameter identified by the given id, with its value type, the allowed values and validation rules, the mapping used to send the value to the thing and the condition that enables its input field.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Path parameters
configurationParameterId
stringRequired

The configuration-parameter identifier.

Minimum1.0
Exampleabcd1234
Responses
200

Successful operation.

Expand All
object
id
string

The configuration-parameter object identifier.

name
string

The configuration-parameter name.

label
string

The configuration-parameter label.

type
string

The configuration-parameter type.

Valid values[ "BOOLEAN", "DOUBLE", "FLOAT", "INTEGER", "LONG", "STRING", "BASE64", "DATE" ]
stepValue
number

The increment step value for numeric parameters.

minValue
number

The minimum valid value for numeric parameters.

maxValue
number

The maximum valid value for numeric parameters.

selectionMode
string

The selection mode for a multi-value field.

Valid values[ "SELECTION", "RADIO_BUTTON" ]
mandatory
boolean

The flag indicating whether the parameter field is mandatory.

metric
object

The metric used to fill the configuration parameter input when loaded in page.

id
string
Example1234abcd
values
Array of object

The allowed values in case of multiple selection.

object
name
string

The selection item name.

Examplec1
label
string

The selection item label.

ExampleValue 1
mapping
object

The parameter mapping used to send values to the thing.

path
string

The parameter mapping path.

Exampleconfig
name
string

The parameter mapping name.

Examplepar1
enabledCondition
object

The condition that enables or disables the parameter input field within the page.

metric
object
id
string
Example1234abcd
predicate
string
Valid values[ "EQUAL", "NOT_EQUAL", "LESS", "GREATER", "LESS_EQUAL", "GREATER_EQUAL" ]
value
string
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error